Workspaces
Set a workspace's release policy for a channel
Set a workspace's release policy for a channel
curl --request PUT \
--url https://api.atlan.com/registry/v1/workspaces/{workspace_id}/release-policy/{channel} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allow_version_override": true,
"default_visibility": "<string>",
"mode": "<string>",
"require_checks": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allow_version_override: true,
default_visibility: '<string>',
mode: '<string>',
require_checks: true
})
};
fetch('https://api.atlan.com/registry/v1/workspaces/{workspace_id}/release-policy/{channel}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/workspaces/{workspace_id}/release-policy/{channel}"
payload = {
"allow_version_override": True,
"default_visibility": "<string>",
"mode": "<string>",
"require_checks": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"allow_public": true,
"allow_version_override": true,
"channel": "<string>",
"default_visibility": "<string>",
"mode": "<string>",
"require_checks": true,
"resolved_from": "<string>",
"sources": {
"allow_public": "<string>",
"allow_version_override": "<string>",
"default_visibility": "<string>",
"mode": "<string>",
"require_checks": "<string>"
},
"workspace_id": "<string>"
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unknown_release_channel",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
⌘I
Set a workspace's release policy for a channel
curl --request PUT \
--url https://api.atlan.com/registry/v1/workspaces/{workspace_id}/release-policy/{channel} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allow_version_override": true,
"default_visibility": "<string>",
"mode": "<string>",
"require_checks": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allow_version_override: true,
default_visibility: '<string>',
mode: '<string>',
require_checks: true
})
};
fetch('https://api.atlan.com/registry/v1/workspaces/{workspace_id}/release-policy/{channel}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/workspaces/{workspace_id}/release-policy/{channel}"
payload = {
"allow_version_override": True,
"default_visibility": "<string>",
"mode": "<string>",
"require_checks": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"allow_public": true,
"allow_version_override": true,
"channel": "<string>",
"default_visibility": "<string>",
"mode": "<string>",
"require_checks": true,
"resolved_from": "<string>",
"sources": {
"allow_public": "<string>",
"allow_version_override": "<string>",
"default_visibility": "<string>",
"mode": "<string>",
"require_checks": "<string>"
},
"workspace_id": "<string>"
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unknown_release_channel",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}